<?php
if(!function_exists('beeteam368_parse_youtube')){
	function beeteam368_parse_youtube($link){
		$pattern =
			'%^# Match any youtube URL
			(?:https?://)?  # Optional scheme. Either http or https
			(?:www\.)?      # Optional www subdomain
			(?:             # Group host alternatives
			  youtu\.be/    # Either youtu.be,
			| youtube\.com  # or youtube.com
			  (?:           # Group path alternatives
				/embed/     # Either /embed/
			  | /v/         # or /v/
			  | .*v=        # or /watch\?v=
			  )             # End path alternatives.
			)               # End host alternatives.
			([\w-]{10,12})  # Allow 10-12 for 11 char youtube id.
			($|&).*         # if additional parameters are also in query string after video id.
			$%x'
			;
		$result = preg_match($pattern, $link, $matches);
		if (false !== $result) {
		  return $matches[1];
		}
		return false;
	};
};

if(!function_exists('beeteam368_parse_vimeo')){
	function beeteam368_parse_vimeo($link){
		if (preg_match("/(?:https?:\/\/)?(?:www\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|)(\d+)(?:$|\/|\?)/", $link, $id)) {
			return $id[3];
		};
	};
};

if(!function_exists('beeteam368_checkVideoType')){
	function beeteam368_checkVideoType($strVideoLink){
		if(isset($strVideoLink) && $strVideoLink!=''){
			if(strrpos($strVideoLink, 'youtube.com/') || strrpos($strVideoLink, 'youtu.be/')){
				return 'youtube';
			}else if(strrpos($strVideoLink, 'vimeo.com/')){
				return 'vimeo';
			}else if(strrpos($strVideoLink, 'dailymotion.com/')){	
				return 'dailymotion';		
			}else{
				return '';
			};
		}else{
			return '';
		};
	};
};

if(!function_exists('beeteam368_checkVideoSource')){
	function beeteam368_checkVideoSource($strVideoLink){			
		if(isset($strVideoLink) && $strVideoLink!=''){										
			if(strrpos($strVideoLink, 'youtube.com/') || strrpos($strVideoLink, 'youtu.be/')){
				return beeteam368_parse_youtube($strVideoLink);				
			}else if(strrpos($strVideoLink, 'vimeo.com/')){
				return beeteam368_parse_vimeo($strVideoLink);
			}else if(strrpos($strVideoLink, 'dailymotion.com/')){
				$videoIDCheck_last = strtok(basename($strVideoLink), '_');
				if(strrpos($videoIDCheck_last, '#video=')){
					list($splitcheck1, $splitcheck2) = split('#video=', $videoIDCheck_last);
					$videoIDCheck_last=$splitcheck2;
				};	
				return $videoIDCheck_last;		
			}else{
				return '';
			};
		}else{
			return '';
		};
	};
};