<?php
add_action('admin_menu', 'beeteam368_video_player_create_menu');
if(!function_exists('beeteam368_video_player_create_menu')){
	function beeteam368_video_player_create_menu(){
		add_menu_page(esc_html__('BEETEAM368 Video Player Plugin Settings', 'Video-Advertising-Addon-For-WPBakery-Page-Builder'), esc_html__('Video Ads Google API Key', 'Video-Advertising-Addon-For-WPBakery-Page-Builder'), 'administrator', __FILE__, 'beeteam368_settings_page', '');
		add_action('admin_init', 'register_beeteam368_settings');
	};
};
if(!function_exists('register_beeteam368_settings')){
	function register_beeteam368_settings() {
		register_setting('beeteam368-settings-group', 'google_api_key_youtubev3' );
	};
};

if(!function_exists('beeteam368_settings_page')){
	function beeteam368_settings_page() {
		ob_start();
	?>
		<div class="wrap">
			<h2><strong><?php echo esc_html__("REGISTER GOOGLE API KEY (Youtube API v.3)", 'Video-Advertising-Addon-For-WPBakery-Page-Builder')?></strong></h2>    
			<form method="post" action="options.php">
				<?php settings_fields('beeteam368-settings-group');?>
				<?php do_settings_sections('beeteam368-settings-group' );?>
				<table class="form-table">
					<tr valign="top">
						<th scope="row"><?php echo esc_html__("Google API Key", 'Video-Advertising-Addon-For-WPBakery-Page-Builder')?></th>
						<td><input type="text" name="google_api_key_youtubev3" value="<?php echo esc_attr(get_option('google_api_key_youtubev3')); ?>" class="beeteaminputcss" /></td>
					</tr>
				</table>
				<?php submit_button(); ?>
			</form>
			<div class="bee-tutorial">
				<section id="acquiring">
				  <h2 id="acquiring-api-keys"><?php echo esc_html__("Acquiring API keys", 'Video-Advertising-Addon-For-WPBakery-Page-Builder')?></h2>
				  <ol>
					<li>Go to the <a href="https://console.developers.google.com/">Google Developers Console</a>.</li>
					<li>Select a project, or create a new one.</li>
					<li>In the sidebar on the left, expand <b>APIs &amp; auth</b>. Next, click <b>APIs</b>. In the list of APIs, make sure all of the APIs you are using show a status of <b>ON</b>.</li>
					<li>In the sidebar on the left, select <b>Credentials</b>.</li>
					<li>Click <b>Create new Key</b> and select the appropriate key type:
					  <ul class="beeteam368GoogleTut">
						<li>Create and use a <dfn>server key</dfn> if your application runs on a server. Do not use this key outside of your server code. For example, do not embed it in a web page. To prevent quota theft, restrict your key so that requests are only allowed from your servers' source IP addresses.</li>
						<li>Create and use a <dfn>browser key</dfn> if your application runs on a client, such as a web browser. To prevent your key from being used on unauthorized sites, only allow referrals from domains you administer.</li>
						<li>Create and use an <dfn>iOS key</dfn> if your application runs on iOS devices. Google verifies that each request originates from an iOS application that matches one of the bundle identifiers you specify. An app's <code>.plist</code> file contains its bundle identifier. Example: <code>com.example.MyApp</code></li>
						<li>Create and use an <dfn>Android key</dfn> if your application runs on Android devices. To do so, you need to specify the SHA1 fingerprints and package names of the application using that key.</li>
					  </ul>
					</li>
				  </ol>
				</section>
			</div>
		</div>
	<?php 
		$output_string = ob_get_contents();
		ob_end_clean();
		echo $output_string;
	};
};