// JavaScript Document
;(function() {
    tinymce.PluginManager.add('beeteam368_video_single', function(editor, url) {
		editor.addButton('beeteam368_video_single', {
			text: '',
			tooltip: 'BeeTeam368 Video Advertising Single',
			id: 'beeteam368_video_single',
			icon: 'icon-beeteam368-video-single',
			onclick: function() {
				// Open window
				editor.windowManager.open({
					title: 'BeeTeam368 Video Advertising Single',
					body: [
						{	type: 	'listbox', 
							name: 	'themeopt',
							label: 	'Theme Options', 
									'values': [
										{text: 'Light Version', value: ''},
										{text: 'Dark Version', value: 'left'},
									]
						},
						{	type: 	'listbox', 
							name: 	'autoplay',
							label: 	'Autoplay', 
									'values': [
										{text: 'No', value: ''},
										{text: 'Yes', value: '1'},
									]
						},
						{	type: 	'listbox', 
							name: 	'repeat',
							label: 	'Loop', 
									'values': [
										{text: 'No', value: ''},
										{text: 'Yes', value: '1'},
									]
						},
						{	type: 	'listbox', 
							name: 	'volume',
							label: 	'Volume', 
									'values': [
										{text: '100', value: '100'},
										{text: '5', value: '5'},
										{text: '10', value: '10'},
										{text: '15', value: '15'},
										{text: '20', value: '20'},
										{text: '25', value: '25'},
										{text: '30', value: '30'},
										{text: '35', value: '35'},
										{text: '40', value: '40'},
										{text: '45', value: '45'},
										{text: '50', value: '50'},
										{text: '55', value: '55'},
										{text: '60', value: '60'},
										{text: '65', value: '65'},
										{text: '70', value: '70'},
										{text: '75', value: '75'},
										{text: '80', value: '80'},
										{text: '85', value: '85'},
										{text: '90', value: '90'},
										{text: '95', value: '95'},										
									]
						},
						{	type: 	'textbox', 
							name: 	'videourl', 
							label: 	'Video Primary URL',
						},	
						{	type: 	'listbox', 
							name: 	'adstype',
							label: 	'Ads Type', 
									'values': [
										{text: 'No Ads', value: ''},
										{text: 'Video Ads', value: 'video-ads'},
										{text: 'Picture Ads', value: 'picture'},
										{text: 'Google Adsense', value: 'google-ads'},
									]
						},
						{	type: 	'textbox', 
							name: 	'videoadsurl', 
							label: 	'Video Ads URL',
						},
						{	type: 	'textbox', 
							name: 	'picadsurl', 
							label: 	'Picture Ads URL',
						},
						{	type: 	'textbox', 
							name: 	'goocapubx', 
							label: 	'Google Adsense (ca-pub)',
						},
						{	type: 	'textbox', 
							name: 	'gooadsid', 
							label: 	'Google adsense ID',
						},
						{	type: 	'textbox', 
							name: 	'adstimestart', 
							label: 	'Time Start Ads',
						},	
						{	type: 	'textbox', 
							name: 	'adstimerestart', 
							label: 	'Time Restart Ads',
						},	
						{	type: 	'textbox', 
							name: 	'adsurl', 
							label: 	'URL Target',
						},	
						{	type: 	'textbox', 
							name: 	'extclass', 
							label: 	'Extra Class Name',
						},						

					],
					onsubmit: function(e) {
						//var content = tinymce.activeEditor.selection.getContent() ? tinymce.activeEditor.selection.getContent() : e.data.content;						
						var shortcode =		'[beevideoplayersingle';
						
							if(e.data.themeopt!='') {
								shortcode +=	' themeopt="'+e.data.themeopt+'"';
							};
							
							if(e.data.autoplay!='') {
								shortcode +=	' autoplay="'+e.data.autoplay+'"';
							};
							
							if(e.data.repeat!='') {
								shortcode +=	' repeat="'+e.data.repeat+'"';
							};
							
							shortcode +=	' volume="'+e.data.volume+'"';
							
							shortcode +=	' videourl="'+e.data.videourl+'"';
							
							if(e.data.adstype!='') {
								shortcode +=	' adstype="'+e.data.adstype+'"';
							};
							
							if(e.data.videoadsurl!=''  && e.data.adstype=='video-ads') {
								shortcode +=	' videoadsurl="'+e.data.videoadsurl+'"';
							};
							
							if(e.data.picadsurl!=''  && e.data.adstype=='picture') {
								shortcode +=	' picadsurl="'+e.data.picadsurl+'"';
							};
							
							if(e.data.goocapubx!=''  && e.data.adstype=='google-ads') {
								shortcode +=	' goocapubx="'+e.data.goocapubx+'"';
							};
							
							if(e.data.gooadsid!=''  && e.data.adstype=='google-ads') {
								shortcode +=	' gooadsid="'+e.data.gooadsid+'"';
							};
							
							if(e.data.adstimestart!='' && e.data.adstype!='') {
								shortcode +=	' adstimestart="'+e.data.adstimestart+'"';
							};
							
							if(e.data.adstimerestart!='' && e.data.adstype!='') {
								shortcode +=	' adstimerestart="'+e.data.adstimerestart+'"';
							}
							
							if(e.data.adsurl!='' && (e.data.adstype=='video-ads' || e.data.adstype=='picture')) {
								shortcode +=	' adsurl="'+e.data.adsurl+'"';
							};
							
							if(e.data.extclass!=''){
								shortcode +=	' extclass="'+e.data.extclass+'"';
							};
							
							shortcode += 	'][/beevideoplayersingle]';							
						editor.insertContent(shortcode);
					}
				});
			}
		});
	});
})();
