/*
Plugin Name: Video Advertising Addon For WPBakery Page Builder
Plugin URI: http://beeteam368.com/
Description: Youtube, Vimeo & Dailymotion support - Responsive support - Mobile compatible - Playlist & Single video support - Automatically obtain the Video Thumbnail, Title and Duration From YouTube, Vimeo & Dailymotion Servers - Multiple Parameters (autoplay, loop, repeat, volume) - Online Video Marketing & Video Advertising Professional.
Author: BeeTeam368
Author URI: http://beeteam368.com/
Version: 1.0.6
Copyright @2015 by Beeteam368
License: License GNU General Public License version 2 or later
*/
;(function($){
	
	'use strict';
	
	$.fn.beeTeam368VideoCreate = function(options) { //Function Create Video
		var $this					= $(this);
		var autoPlay				= options.autoPlay;
		var repeat					= options.repeat;
		var volume					= options.volume;
		var youtubeAPIKey			= options.youtubeAPIKey;
		var indexPlayer				= options.indexPlayer;	
		var skipTextVideo			= options.skipTextVideo;			
		
		function replaceAll(find, replace, str) {return str.replace(new RegExp(find, 'g'), replace);};		
		function converSecondToTime(clngSec){
			var totalSec = parseFloat(clngSec);
			var hours = parseInt( totalSec / 3600 ) % 24;
			var minutes = parseInt( totalSec / 60 ) % 60;
			var seconds = totalSec % 60;			
			return ( (hours > 0 ? (hours>10?hours+':':'0'+hours+':') : '') + (minutes > 0 ? (minutes>10?minutes+':':'0'+minutes+':') : '') + (seconds  > 0 ? (seconds>10?seconds:'0'+seconds) : '') );
		};		
		function converTimeYoutube(stringTime){
			var stringTimeConvert =  replaceAll('PT', '', stringTime);
			stringTimeConvert = replaceAll('H', ':', stringTimeConvert);
			stringTimeConvert = replaceAll('M', ':', stringTimeConvert);
			stringTimeConvert = replaceAll('S', '', stringTimeConvert);
			var hours, minutes, seconds, totalTimes; 
			totalTimes='';
			for(var izz=0; izz < stringTimeConvert.split(':').length; izz++) {
				if(stringTimeConvert.split(':')[izz].length > 1) {
					totalTimes=(totalTimes)+stringTimeConvert.split(':')[izz]+':';
				}else{
					totalTimes=(totalTimes)+'0'+stringTimeConvert.split(':')[izz]+':';
				};
			};
			return totalTimes.substring(0, totalTimes.length - 1);;
		};
		function getMobileOperatingSystem() {
			return navigator.userAgent.match(/(Android|iPod|iPhone|iPad|IEMobile|Opera Mini)/);
		};	
		function addWmodeIframe(elementID){
			var url = elementID.attr("src");			
			if (elementID.attr("src").indexOf("?") > 0) {
					elementID.attr({
					//"src" : url + "&wmode=transparent&html5=1&fs=0&modestbranding=1&iv_load_policy=3",
					"wmode" : "Opaque",
				});
			}else {
				elementID.attr({
					//"src" : url + "?wmode=transparent&html5=1&fs=0&modestbranding=1&iv_load_policy=3",
					"wmode" : "Opaque",
				});
			};
		};
		function checkFullScreenWindow(){			
			if(screenfull.isFullscreen){
				return 'yes';
			}else{
				return 'no';
			};
		};
		$(window).resize(function(){
			if( checkFullScreenWindow()=='no') {
				$this.find('.beeteam368-video-player').removeClass('set-zindex-advertising');	
			};
		});
		var playerYoutube = [];
		var playerVimeo = [];		
		var playerDailymotion = [];		
		var adsYoutube = [];
		var adsVimeo = [];
		var adsDailymotion = [];		
		var totalItem = $('.beeteam368-video-list-item', $this.find('.beeteam368-video-listing-content .beeteam368-scroll-y')).length - 1;
		var $first_item = $('.beeteam368-video-list-item', $this.find('.beeteam368-video-listing-content .beeteam368-scroll-y')).eq(0);		
		var $checkArrayNewLoad = [];		
		var nameIndexPlayer = 'bee-player-id-'+indexPlayer;
		var nameIndexPlayerAds = 'bee-player-ads-id-'+indexPlayer;		
		var dataAdsCheck = [];
		var firstPlayVideoAds = [];
		var lastPlayVideoAds = [];
		var totalClearInterval = [];
		var totalClearIntervalPrimary = [];		
		function clearAllInterval(index){
			for(var iz=0; iz<=totalItem; iz++){
				if(iz!=index){
					totalClearInterval[iz] = 1;
					totalClearIntervalPrimary[iz]=1;
				}else{
					totalClearInterval[iz] = 0;
					totalClearIntervalPrimary[iz]=0;
				};
			};
		};			
		checkRepeat[indexPlayer]=0;	
		$this.find('.beeteam368-player-iframe').attr('id', nameIndexPlayer);
		$this.find('.beeteam368-player-ads-iframe').attr('id', nameIndexPlayerAds);		
		$('.beeteam368-video-list-item', $this.find('.beeteam368-video-listing-content .beeteam368-scroll-y')).each(function(index, element) {
			$checkArrayNewLoad[index]=1;					
			var $this_item = $(this);
			if(	$this_item.attr('data-source')!='' && 
				$this_item.attr('data-source')!=null && 
				$this_item.attr('data-media')!='' && 
				$this_item.attr('data-media')!=null) {					
				dataAdsCheck[index] = 0;
				if($this_item.attr('data-ads-source')!='' && $this_item.attr('data-ads-source')!=null && $this_item.attr('data-ads-media')!='' && $this_item.attr('data-ads-media')!=null) {
					dataAdsCheck[index] = 1;
				};				
				var $beeteam368ImgListing;
				var $beeteam368TitleListing;
				var $beeteam368DurationListing;				
				function removeAllClass(){
					$this_item.removeClass('player-error').removeClass('player-success').removeClass('player-active');
				};				
				function setVolume(player_set, source){
					if(volume!='' && volume!=null && typeof(volume)!='undefined' && isNumber(volume)){						
						volume = parseFloat(volume);
					}else{
						volume = 100;
					};
					switch(source) {
						case 'youtube':
							player_set.setVolume(volume);
							break;
						case 'vimeo':
							player_set.api('setVolume', (volume*0.01));
							break;
						case 'dailymotion':
							player_set.setVolume(volume*0.01);
							break;										
					};
				};				
				function clickOpenImageAds(index, source) {
					if(dataAdsCheck[index] == 1) {
						$('.beeteam368-video-player .beeteam368-no-click-link-ads, .beeteam368-video-player .beeteam368-skip-ads, .beeteam368-video-player .beeteam368-image-ads', $this).css({'display':'block'});
						if( checkFullScreenWindow()=='yes') {
							$this.find('.beeteam368-video-player').addClass('set-zindex-advertising');
							//$('[id="'+nameIndexPlayer+'"]').hide();	
						};
						$('.beeteam368-video-player .beeteam368-skip-ads', $this)
						.css({'pointer-events':'none'})
						.on('click', function(){
							$('.beeteam368-video-player .beeteam368-no-click-link-ads, .beeteam368-video-player .beeteam368-skip-ads, .beeteam368-video-player .beeteam368-no-click, .beeteam368-video-player .beeteam368-image-ads', $this).css({'display':'none'});	
							//if( checkFullScreenWindow()=='yes') {
								$this.find('.beeteam368-video-player').removeClass('set-zindex-advertising');
							//};									
							$('.beeteam368-video-player .beeteam368-image-ads img', $this).remove();
							setTimeout(function(){
								$('.beeteam368-video-player .beeteam368-skip-ads', $this).text('0');			
							},100);	
							if(source=='youtube') {																					
								playerYoutube[index].playVideo();										
							};										
							if(source=='vimeo') {
								playerVimeo[index].api('play');
							};
							if(source=='dailymotion') {
								playerDailymotion[index].play();
							};										
						});		
						if(source=='youtube') {																					
							playerYoutube[index].pauseVideo();											
						};									
						if(source=='vimeo') {
							playerVimeo[index].api('pause');
						};	
						if(source=='dailymotion') {
							playerDailymotion[index].pause();
						};
						if($('.beeteam368-video-player .beeteam368-image-ads .beeteam368-image-ads-content-middle', $this).find('img').length == 0){
						$('.beeteam368-video-player .beeteam368-image-ads .beeteam368-image-ads-content-middle', $this).append('<img src="'+$this_item.attr('data-ads-source')+'">');
						};
						totalClearInterval[index]=0;							
						$('<img src="'+$this_item.attr('data-ads-source')+'">').load(function(){
							var izzz = 0;
							var adsCurrentTime = setInterval(function(){										
								if(izzz>=5){	
									setTimeout(function(){
										$('.beeteam368-video-player .beeteam368-skip-ads', $this)
										.css({'pointer-events':'auto'})
										.text(skipTextVideo);
									},100);									
									clearInterval(adsCurrentTime);																											
								}else{
									if(totalClearInterval[index]==1){clearInterval(adsCurrentTime); izzz=0; $('.beeteam368-video-player .beeteam368-skip-ads', $this).text('0'); return false};
									izzz++;
									$('.beeteam368-video-player .beeteam368-skip-ads', $this).text(izzz);	
								};																		
							},1000);							
							var izzzy = 0;
							var adsCurrentTimePic = setInterval(function(){										
								if(izzzy>=20){	
									$('.beeteam368-video-player .beeteam368-no-click-link-ads, .beeteam368-video-player .beeteam368-skip-ads, .beeteam368-video-player .beeteam368-no-click, .beeteam368-video-player .beeteam368-image-ads', $this).css({'display':'none'});	
									//if( checkFullScreenWindow()=='yes') {
										$this.find('.beeteam368-video-player').removeClass('set-zindex-advertising');
									//};									
									$('.beeteam368-video-player .beeteam368-image-ads img', $this).remove();
									setTimeout(function(){
										$('.beeteam368-video-player .beeteam368-skip-ads', $this).text('0');			
									},100);										
									if(source=='youtube') {																					
										playerYoutube[index].playVideo();										
									};										
									if(source=='vimeo') {
										playerVimeo[index].api('play');
									};
									if(source=='dailymotion') {
										playerDailymotion[index].play();
									};
									izzzy=0;							
									clearInterval(adsCurrentTimePic);																											
								}else{
									if(totalClearInterval[index]==1){clearInterval(adsCurrentTimePic); izzzy=0; $('.beeteam368-video-player .beeteam368-skip-ads', $this).text('0'); return false};
									izzzy++;
								};																		
							},1000);
						});
					};
				};				
				function clickOpenGoogleAds(index, source) {
					if(dataAdsCheck[index] == 1 && $this_item.attr('data-ads-source').split('/').length == 2) {
						if($('.beeteam368-video-player .beeteam368-google-ads .beeteam368-google-ads-content', $this).html()=='') {							
							$('.beeteam368-video-player .beeteam368-google-ads .beeteam368-google-ads-content', $this)							
							.html(	'<ins class="adsbygoogle" style="display:block" data-ad-client="'+$this_item.attr('data-ads-source').split('/')[0]
									+'" data-ad-slot="'+$this_item.attr('data-ads-source').split('/')[1]+'" data-ad-format="auto"></ins>');										
							(adsbygoogle = window.adsbygoogle || []).push({});							
							setTimeout(function(){
								$('.beeteam368-video-player .beeteam368-google-ads', $this).addClass('bee-ads-active');
								if( checkFullScreenWindow()=='yes') {
									$this.find('.beeteam368-video-player').addClass('set-zindex-advertising');
									//$('[id="'+nameIndexPlayer+'"]').hide();	
								};
								$('.beeteam368-video-player .beeteam368-google-ads .beeteam368-ads-close', $this).on('click', function(){
									$('.beeteam368-video-player .beeteam368-google-ads', $this).removeClass('bee-ads-active');
									//if( checkFullScreenWindow()=='yes') {
										$this.find('.beeteam368-video-player').removeClass('set-zindex-advertising');
										//$('[id="'+nameIndexPlayer+'"]').hide();	
									//};
								});
							},500);
						}else{
							setTimeout(function(){
								$('.beeteam368-video-player .beeteam368-google-ads', $this).addClass('bee-ads-active');
								if( checkFullScreenWindow()=='yes') {
									$this.find('.beeteam368-video-player').addClass('set-zindex-advertising');
									//$('[id="'+nameIndexPlayer+'"]').hide();	
								};
							},500);							
						};
						totalClearInterval[index]=0;						
						var izzzp = 0;
						var adsCurrentTimeAdsGoogle = setInterval(function(){	
							if(izzzp>=11){	
								$('.beeteam368-video-player .beeteam368-google-ads', $this).removeClass('bee-ads-active');
								//if( checkFullScreenWindow()=='yes') {
									$this.find('.beeteam368-video-player').removeClass('set-zindex-advertising');
									//$('[id="'+nameIndexPlayer+'"]').hide();	
								//};
								clearInterval(adsCurrentTimeAdsGoogle);
							}else{
								if(totalClearInterval[index]==1){clearInterval(adsCurrentTimeAdsGoogle); izzzp=0; return false};
								izzzp++;
							};
						},1000);
					};
				};				
				function clickOpenVideoAdsYoutube(index, source) {
					if(dataAdsCheck[index] == 1) {						
						$this.find('.beeteam368-video-player').removeClass('player-active');						
						if($('[id='+nameIndexPlayerAds+']', $this).length > 0) {							
							$('[id='+nameIndexPlayerAds+']', $this).remove();							
							$('.beeteam368-video-player-content', $this).prepend('<div id="'+nameIndexPlayerAds+'"></div>');
						}else{
							$('.beeteam368-video-player-content', $this).prepend('<div id="'+nameIndexPlayerAds+'"></div>');
						};
						$('.beeteam368-video-player .beeteam368-no-click-link-ads, .beeteam368-video-player .beeteam368-skip-ads', $this).css({'display':'block'});
						if( checkFullScreenWindow()=='yes') {
							$this.find('.beeteam368-video-player').addClass('set-zindex-advertising');
							$('[id="'+nameIndexPlayer+'"]').hide();	
						};
						$('[id="'+nameIndexPlayerAds+'"]').show();	
						if(source=='youtube') {																					
							playerYoutube[index].pauseVideo();											
						};									
						if(source=='vimeo') {
							playerVimeo[index].api('pause');
						};	
						if(source=='dailymotion') {
							playerDailymotion[index].pause();
						};					
						adsYoutube[index] = new YT.Player(nameIndexPlayerAds, {
							videoId: 		$this_item.attr('data-ads-source'),
							playerVars: 	{controls: 0, showinfo: 0, enablejsapi:1, html5:1, wmode:'transparent', fs:0, modestbranding:1, iv_load_policy:3, rel:0,},
							events: {
								'onReady': function(event) {									
									totalClearInterval[index]=0;
									setVolume(adsYoutube[index], 'youtube');
									$('.beeteam368-video-player .beeteam368-skip-ads', $this)
									.css({'pointer-events':'none'})
									.on('click', function(){
										$('.beeteam368-video-player .beeteam368-no-click-link-ads, .beeteam368-video-player .beeteam368-skip-ads, .beeteam368-video-player .beeteam368-no-click', $this)
										.css({'display':'none'});	
										//if( checkFullScreenWindow()=='yes') {
											$this.find('.beeteam368-video-player').removeClass('set-zindex-advertising');
											$('[id="'+nameIndexPlayer+'"]').show();	
										//};									
										$('[id='+nameIndexPlayerAds+']', $this).remove();
										setTimeout(function(){
											$('.beeteam368-video-player .beeteam368-skip-ads', $this).text('0');			
										},100);	
										if(source=='youtube') {																					
											playerYoutube[index].playVideo();										
										};										
										if(source=='vimeo') {
											playerVimeo[index].api('play');
										};
										if(source=='dailymotion') {
											playerDailymotion[index].play();
										};										
									});																	
									$this.find('.beeteam368-video-player').addClass('player-active');					
									adsYoutube[index].playVideo();																	
								},
								'onStateChange':function(event) {								
									var adsCurrentTime = setInterval(function(){										
										if(adsYoutube[index].getCurrentTime()>=6){	
											setTimeout(function(){
												$('.beeteam368-video-player .beeteam368-skip-ads', $this)
												.css({'pointer-events':'auto'})
												.text(skipTextVideo);
											},100);									
											clearInterval(adsCurrentTime);																					
										}else{
											if(totalClearInterval[index]==1){clearInterval(adsCurrentTime); $('.beeteam368-video-player .beeteam368-skip-ads', $this).text('0'); return false};
											$('.beeteam368-video-player .beeteam368-skip-ads', $this).text(Math.floor(adsYoutube[index].getCurrentTime()));	
										};																			
									},50);												
									if(event.data===0) {
										if(adsCurrentTime!=null) {clearInterval(adsCurrentTime);}										
										$('.beeteam368-video-player .beeteam368-no-click-link-ads, .beeteam368-video-player .beeteam368-skip-ads, .beeteam368-video-player .beeteam368-no-click', $this)
										.css({'display':'none'});
										//if( checkFullScreenWindow()=='yes') {
											$this.find('.beeteam368-video-player').removeClass('set-zindex-advertising');
											$('[id="'+nameIndexPlayer+'"]').show();	
										//};									
										$('[id='+nameIndexPlayerAds+']', $this).remove();
										setTimeout(function(){
											$('.beeteam368-video-player .beeteam368-skip-ads', $this).text('0');			
										},100);																													
										if(source=='youtube') {																					
											playerYoutube[index].playVideo();										
										};										
										if(source=='vimeo') {
											playerVimeo[index].api('play');
										};	
										if(source=='dailymotion') {
											playerDailymotion[index].play();
										};																									
									};
								},
							},
						});
						addWmodeIframe($('#'+nameIndexPlayerAds));
					};
				};				
				function clickOpenVideoAdsVimeo(index, source) {
					if(dataAdsCheck[index] == 1) {
						$this.find('.beeteam368-video-player').removeClass('player-active');
						if($('[id='+nameIndexPlayerAds+']', $this).length > 0) {
							$('[id='+nameIndexPlayerAds+']', $this).remove();
						};	
						$('.beeteam368-video-player .beeteam368-no-click-link-ads, .beeteam368-video-player .beeteam368-skip-ads', $this).css({'display':'block'});		
						$('iframe[id="'+nameIndexPlayerAds+'"]').show();
						if(source=='youtube') {																					
							playerYoutube[index].pauseVideo();											
						};							
						if(source=='vimeo') {
							playerVimeo[index].api('pause');
						};
						if(source=='dailymotion') {
							playerDailymotion[index].pause();
						};												
						$('.beeteam368-video-player-content', $this).prepend('<iframe id="'+nameIndexPlayerAds+'" src="//player.vimeo.com/video/'+$this_item.attr('data-ads-source')+'?api=1&player_id='+nameIndexPlayerAds+'&muted=1" allow="autoplay" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>');
						if( checkFullScreenWindow()=='yes') {
							$this.find('.beeteam368-video-player').addClass('set-zindex-advertising');
							$('[id="'+nameIndexPlayer+'"]').hide();	
						};
						$('[id="'+nameIndexPlayerAds+'"]').show();								
						adsVimeo[index] = $f($('#'+nameIndexPlayerAds)[0]);	
						addWmodeIframe($('#'+nameIndexPlayerAds));														
						adsVimeo[index].addEvent('ready', function() {
							setVolume(adsVimeo[index], 'vimeo');
							$('.beeteam368-video-player .beeteam368-skip-ads', $this)
							.css({'pointer-events':'none'})
							.on('click', function(){								
								$('.beeteam368-video-player .beeteam368-no-click-link-ads, .beeteam368-video-player .beeteam368-skip-ads, .beeteam368-video-player .beeteam368-no-click', $this)
								.css({'display':'none'});
								//if( checkFullScreenWindow()=='yes') {
									$this.find('.beeteam368-video-player').removeClass('set-zindex-advertising');
									$('[id="'+nameIndexPlayer+'"]').show();	
								//};								
								$('[id='+nameIndexPlayerAds+']', $this).remove();
								setTimeout(function(){
									$('.beeteam368-video-player .beeteam368-skip-ads', $this).text('0');			
								},100);													
								if(source=='youtube') {																					
									playerYoutube[index].playVideo();										
								};								
								if(source=='vimeo') {
									playerVimeo[index].api('play');
								};
								if(source=='dailymotion') {
									playerDailymotion[index].play();
								};									
							});							
							$this.find('.beeteam368-video-player').addClass('player-active');													
							adsVimeo[index].api('play');
							adsVimeo[index].addEvent('playProgress', function(){								
								adsVimeo[index].api('getCurrentTime',function(value){									
									if(value>=6) {
										setTimeout(function(){
											$('.beeteam368-video-player .beeteam368-skip-ads', $this)
											.css({'pointer-events':'auto'})
											.text(skipTextVideo);																				
										},100);																			
									}else{
										$('.beeteam368-video-player .beeteam368-skip-ads', $this).text(Math.floor(value));	
									};
								});								
							});														
							adsVimeo[index].addEvent('finish', function(){								
								$('.beeteam368-video-player .beeteam368-no-click-link-ads, .beeteam368-video-player .beeteam368-skip-ads, .beeteam368-video-player .beeteam368-no-click', $this)
								.css({'display':'none'});
								//if( checkFullScreenWindow()=='yes') {
									$this.find('.beeteam368-video-player').removeClass('set-zindex-advertising');
									$('[id="'+nameIndexPlayer+'"]').show();	
								//};								
								$('[id='+nameIndexPlayerAds+']', $this).remove();	
								setTimeout(function(){
									$('.beeteam368-video-player .beeteam368-skip-ads', $this).text('0');			
								},100);							
								if(source=='youtube') {																					
									playerYoutube[index].playVideo();										
								};								
								if(source=='vimeo') {
									playerVimeo[index].api('play');
								};
								if(source=='dailymotion') {
									playerDailymotion[index].play();
								};																																
							});							
						});
					};					
				};				
				function clickOpenVideoAdsDailymotion(index, source) {
					if(dataAdsCheck[index] == 1) {
						$this.find('.beeteam368-video-player').removeClass('player-active');
						if($('[id='+nameIndexPlayerAds+']', $this).length > 0) {							
							$('[id='+nameIndexPlayerAds+']', $this).remove();							
							$('.beeteam368-video-player-content', $this).prepend('<div id="'+nameIndexPlayerAds+'"></div>');
						}else{
							$('.beeteam368-video-player-content', $this).prepend('<div id="'+nameIndexPlayerAds+'"></div>');
						};
						$('.beeteam368-video-player .beeteam368-no-click-link-ads, .beeteam368-video-player .beeteam368-skip-ads', $this).css({'display':'block'});	
						if( checkFullScreenWindow()=='yes') {
							$this.find('.beeteam368-video-player').addClass('set-zindex-advertising');
							$('[id="'+nameIndexPlayer+'"]').hide();	
						};
						$('[id="'+nameIndexPlayerAds+'"]').show();
						if(source=='youtube') {																					
							playerYoutube[index].pauseVideo();											
						};							
						if(source=='vimeo') {
							playerVimeo[index].api('pause');
						};
						if(source=='dailymotion') {
							playerDailymotion[index].pause();
						};	
						adsDailymotion[index] = DM.player($('#'+nameIndexPlayerAds)[0], {
							video: $this_item.attr('data-ads-source'),
							width: '100%',
							height: '100%',
							params: {
								'api': 1,
								'html':1,
								'fullscreenOnDoubleClick':0,
							},
						});	
						addWmodeIframe($('#'+nameIndexPlayerAds));					
						adsDailymotion[index].addEventListener("apiready", function(e) {		
							$('.beeteam368-video-player .beeteam368-skip-ads', $this)
							.css({'pointer-events':'none'})
							.on('click', function(){								
								$('.beeteam368-video-player .beeteam368-no-click-link-ads, .beeteam368-video-player .beeteam368-skip-ads, .beeteam368-video-player .beeteam368-no-click', $this)
								.css({'display':'none'});
								//if( checkFullScreenWindow()=='yes') {
									$this.find('.beeteam368-video-player').removeClass('set-zindex-advertising');
									$('[id="'+nameIndexPlayer+'"]').show();	
								//};								
								$('[id='+nameIndexPlayerAds+']', $this).remove();
								setTimeout(function(){
									$('.beeteam368-video-player .beeteam368-skip-ads', $this).text('0');			
								},100);													
								if(source=='youtube') {																					
									playerYoutube[index].playVideo();										
								};								
								if(source=='vimeo') {
									playerVimeo[index].api('play');
								};
								if(source=='dailymotion') {
									playerDailymotion[index].play();
								};									
							});							
							$this.find('.beeteam368-video-player').addClass('player-active');													
							e.target.play();
							adsDailymotion[index].addEventListener("play", function(e) {
								setVolume(adsDailymotion[index], 'dailymotion');
							});							
							adsDailymotion[index].addEventListener("timeupdate", function(e) {
								if(e.target.currentTime>=6) {
									setTimeout(function(){
										$('.beeteam368-video-player .beeteam368-skip-ads', $this)
										.css({'pointer-events':'auto'})
										.text(skipTextVideo);																				
									},100);																			
								}else{
									$('.beeteam368-video-player .beeteam368-skip-ads', $this).text(Math.floor(e.target.currentTime));	
								};
							});
							adsDailymotion[index].addEventListener("ended", function(e) {
								$('.beeteam368-video-player .beeteam368-no-click-link-ads, .beeteam368-video-player .beeteam368-skip-ads, .beeteam368-video-player .beeteam368-no-click', $this)
								.css({'display':'none'});
								//if( checkFullScreenWindow()=='yes') {
									$this.find('.beeteam368-video-player').removeClass('set-zindex-advertising');
									$('[id="'+nameIndexPlayer+'"]').show();	
								//};								
								$('[id='+nameIndexPlayerAds+']', $this).remove();	
								setTimeout(function(){
									$('.beeteam368-video-player .beeteam368-skip-ads', $this).text('0');			
								},100);							
								if(source=='youtube') {																					
									playerYoutube[index].playVideo();										
								};								
								if(source=='vimeo') {
									playerVimeo[index].api('play');
								};
								if(source=='dailymotion') {
									playerDailymotion[index].play();
								};											
							});
						});
						
					};
				};				
				var ads_time_start = $this_item.attr('data-ads-time-start');
				if(isNumber(ads_time_start)) {
					ads_time_start=parseFloat(ads_time_start);
				}else{							
					ads_time_start=-1;
				};				
				var ads_time_restart = $this_item.attr('data-ads-time-restart');
				if(isNumber(ads_time_restart)) {
					ads_time_restart=parseFloat(ads_time_restart);
				}else{							
					ads_time_restart=-1;
				};				
				function clickOpenVideoYoutube() {							
					$this_item.on('click', function(){
						clearAllInterval(index);
						$('.beeteam368-video-player .beeteam368-skip-ads', $this).text('0').off("click");
						setTimeout(function(){$('.beeteam368-video-player .beeteam368-skip-ads', $this).text('0').off("click");},500);						
						$('.beeteam368-video-player .beeteam368-no-click-link-ads, .beeteam368-video-player .beeteam368-skip-ads, .beeteam368-video-player .beeteam368-no-click, .beeteam368-video-player .beeteam368-image-ads', $this).css({'display':'none'});
						$('.beeteam368-video-player .beeteam368-google-ads', $this).removeClass('bee-ads-active');	
						$this.find('.beeteam368-video-player').removeClass('player-active');
						if($('[id='+nameIndexPlayer+']', $this).length > 0) {
							$('[id='+nameIndexPlayer+']', $this).remove();
							$('[id='+nameIndexPlayerAds+']', $this).remove();						
							$('.beeteam368-video-player-content', $this).prepend(	'<div id="'+nameIndexPlayer+'"></div>'+
																					'<div id="'+nameIndexPlayerAds+'"></div>');
						}else{
							$('.beeteam368-video-player-content', $this).prepend(	'<div id="'+nameIndexPlayer+'"></div>'+
																					'<div id="'+nameIndexPlayerAds+'"></div>');
						};																
						playerYoutube[index] = new YT.Player(nameIndexPlayer, {
							videoId: $this_item.attr('data-source'),
							playerVars: {enablejsapi:1, html5:1, wmode:'transparent', /*fs:0,*/ modestbranding:1, iv_load_policy:3, rel:0,},
							events: {
								'onReady': function(event) {
									setVolume(playerYoutube[index], 'youtube');
									firstPlayVideoAds[index]=0;
									lastPlayVideoAds[index]=0;									
									$this.find('.beeteam368-video-player').addClass('player-active');
									if((autoPlay || checkRepeat[indexPlayer]==1) && !getMobileOperatingSystem()) {
										playerYoutube[index].playVideo();
									};	
									if(window.innerWidth>=420 && window.innerWidth<=900){
										if(((index+1) % 2) ==0) {								
											$('.beeteam368-scroll-y', $this).mCustomScrollbar("scrollTo", [$this_item.outerHeight(true)*((index+1)/2-1), 0]);	
										}else{
											$('.beeteam368-scroll-y', $this).mCustomScrollbar("scrollTo", [$this_item.outerHeight(true)*((index+2)/2-1), 0]);
										};
									}else{
										$('.beeteam368-scroll-y', $this).mCustomScrollbar("scrollTo", [$this_item.outerHeight(true)*(index), 0]);
									};	
									$('.beeteam368-video-listing-content', $this).mCustomScrollbar("scrollTo", [0, $this_item.outerWidth(true)*(index)]);	
								},
								'onStateChange':function(event) {									
									if(ads_time_start >= 0 && ads_time_start < playerYoutube[index].getDuration() && firstPlayVideoAds[index]==0 && dataAdsCheck[index]==1) {
										var videoCurrentTime = setInterval(function(){
											if(totalClearIntervalPrimary[index]==1){clearInterval(videoCurrentTime); return false;};																			
											if(playerYoutube[index].getCurrentTime()>=ads_time_start){	
												$('.beeteam368-video-player .beeteam368-no-click', $this).css({'display':'block'});				
												if($this_item.attr('data-ads-media')=='youtube' && !getMobileOperatingSystem()){
													playerYoutube[index].pauseVideo();
													clickOpenVideoAdsYoutube(index, 'youtube');
												};												
												if($this_item.attr('data-ads-media')=='vimeo' && !getMobileOperatingSystem()){
													playerYoutube[index].pauseVideo();
													clickOpenVideoAdsVimeo(index, 'youtube');
												};	
												if($this_item.attr('data-ads-media')=='dailymotion' && !getMobileOperatingSystem()){
													playerYoutube[index].pauseVideo();
													clickOpenVideoAdsDailymotion(index, 'youtube');
												};											
												if($this_item.attr('data-ads-media')=='picture' /*&& !getMobileOperatingSystem()*/){
													playerYoutube[index].pauseVideo();
													clickOpenImageAds(index, 'youtube');
												};
												if($this_item.attr('data-ads-media')=='google-ads'){
													$('.beeteam368-video-player .beeteam368-no-click', $this).css({'display':'none'});	
													clickOpenGoogleAds(index, 'youtube');
												};													
												firstPlayVideoAds[index]=1;										
												clearInterval(videoCurrentTime);																																	
											};																			
										},50);
									};									
									if(ads_time_restart > 0 && ads_time_restart < playerYoutube[index].getDuration() && ads_time_restart > ads_time_start && lastPlayVideoAds[index]==0 && dataAdsCheck[index]==1) {
										var videoCurrentTimeLast = setInterval(function(){		
											if(totalClearIntervalPrimary[index]==1){clearInterval(videoCurrentTimeLast); return false;};																
											if(playerYoutube[index].getCurrentTime()>=ads_time_restart){
												$('.beeteam368-video-player .beeteam368-no-click', $this).css({'display':'block'});
												if($this_item.attr('data-ads-media')=='youtube' && !getMobileOperatingSystem()){
													playerYoutube[index].pauseVideo();
													clickOpenVideoAdsYoutube(index, 'youtube');
												};												
												if($this_item.attr('data-ads-media')=='vimeo' && !getMobileOperatingSystem()){
													playerYoutube[index].pauseVideo();
													clickOpenVideoAdsVimeo(index, 'youtube');
												};
												if($this_item.attr('data-ads-media')=='dailymotion' && !getMobileOperatingSystem()){
													playerYoutube[index].pauseVideo();
													clickOpenVideoAdsDailymotion(index, 'youtube');
												};
												if($this_item.attr('data-ads-media')=='picture' /*&& !getMobileOperatingSystem()*/){
													playerYoutube[index].pauseVideo();
													clickOpenImageAds(index, 'youtube');
												};
												if($this_item.attr('data-ads-media')=='google-ads'){
													$('.beeteam368-video-player .beeteam368-no-click', $this).css({'display':'none'});	
													clickOpenGoogleAds(index, 'youtube');
												};													
												lastPlayVideoAds[index]=1;										
												clearInterval(videoCurrentTimeLast);																																	
											};																			
										},50);
									};									
									if(repeat && event.data===0) {
										checkRepeat[indexPlayer]=1;
										if(totalItem==index){
											$first_item.trigger('click');											
										}else{
											$this_item.next().trigger('click');
										};										
									};								
								},
							},
						});
						addWmodeIframe($('#'+nameIndexPlayer));	
						$('.beeteam368-video-player .beeteam368-no-click-link-ads', $this).attr('href', $this_item.attr('data-ads-link'));
						$('.beeteam368-video-player, .beeteam368-video-list-item', $this).removeClass('player-active');							
						$this_item.addClass('player-active');									
					});										
				};				
				function clickOpenVideoVimeo(){					
					$this_item.on('click', function(){
						clearAllInterval(index);
						$('.beeteam368-video-player .beeteam368-skip-ads', $this).text('0').off("click");	
						setTimeout(function(){$('.beeteam368-video-player .beeteam368-skip-ads', $this).text('0').off("click");},500);					
						$('.beeteam368-video-player .beeteam368-no-click-link-ads, .beeteam368-video-player .beeteam368-skip-ads, .beeteam368-video-player .beeteam368-no-click, .beeteam368-video-player .beeteam368-image-ads', $this).css({'display':'none'});
						$('.beeteam368-video-player .beeteam368-google-ads', $this).removeClass('bee-ads-active');
						$this.find('.beeteam368-video-player').removeClass('player-active');
						if($('[id='+nameIndexPlayer+']', $this).length > 0) {
							$('[id='+nameIndexPlayer+']', $this).remove();
							$('[id='+nameIndexPlayerAds+']', $this).remove();	
						};						
						$('.beeteam368-video-player-content', $this).prepend('<iframe id="'+nameIndexPlayer+'" src="//player.vimeo.com/video/'+$this_item.attr('data-source')+'?api=1&player_id='+nameIndexPlayer+'&muted=1" allow="autoplay" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe><div class="beeteam368-player-ads-iframe" id="'+nameIndexPlayerAds+'"></div>');								
						playerVimeo[index] = $f($('#'+nameIndexPlayer)[0]);
						addWmodeIframe($('#'+nameIndexPlayer));									
						playerVimeo[index].addEvent('ready', function() {
							setVolume(playerVimeo[index], 'vimeo');							
							firstPlayVideoAds[index]=0;
							lastPlayVideoAds[index]=0;
							$this.find('.beeteam368-video-player').addClass('player-active');												
							if((autoPlay || checkRepeat[indexPlayer]==1) && !getMobileOperatingSystem()) {
								//playerVimeo[index].api('play');
							};														
							playerVimeo[index].addEvent('playProgress', function(data){								
								playerVimeo[index].api('getCurrentTime',function(value){									
									if(ads_time_start >= 0 && ads_time_start < data.duration && firstPlayVideoAds[index]==0 && dataAdsCheck[index]==1) {
										if(value>=ads_time_start) {
											$('.beeteam368-video-player .beeteam368-no-click', $this).css({'display':'block'});	
											if($this_item.attr('data-ads-media')=='youtube' && !getMobileOperatingSystem()){
												playerVimeo[index].api('pause');
												clickOpenVideoAdsYoutube(index, 'vimeo');
											};											
											if($this_item.attr('data-ads-media')=='vimeo' && !getMobileOperatingSystem()){
												playerVimeo[index].api('pause');
												clickOpenVideoAdsVimeo(index, 'vimeo');
											};	
											if($this_item.attr('data-ads-media')=='dailymotion' && !getMobileOperatingSystem()){
												playerVimeo[index].api('pause');
												clickOpenVideoAdsDailymotion(index, 'vimeo');
											};
											if($this_item.attr('data-ads-media')=='picture' /*&& !getMobileOperatingSystem()*/){
												playerVimeo[index].api('pause');
												clickOpenImageAds(index, 'vimeo');
											};
											if($this_item.attr('data-ads-media')=='google-ads'){
												$('.beeteam368-video-player .beeteam368-no-click', $this).css({'display':'none'});	
												clickOpenGoogleAds(index, 'vimeo');
											};												
											firstPlayVideoAds[index]=1;	
										};
									};									
									if(ads_time_restart > 0 && ads_time_restart < data.duration && ads_time_restart > ads_time_start && lastPlayVideoAds[index]==0 && dataAdsCheck[index]==1) {
										if(value>=ads_time_restart) {
											$('.beeteam368-video-player .beeteam368-no-click', $this).css({'display':'block'});	
											if($this_item.attr('data-ads-media')=='youtube' && !getMobileOperatingSystem()){
												playerVimeo[index].api('pause');
												clickOpenVideoAdsYoutube(index, 'vimeo');
											};											
											if($this_item.attr('data-ads-media')=='vimeo' && !getMobileOperatingSystem()){
												playerVimeo[index].api('pause');
												clickOpenVideoAdsVimeo(index, 'vimeo');
											};
											if($this_item.attr('data-ads-media')=='dailymotion' && !getMobileOperatingSystem()){
												playerVimeo[index].api('pause');
												clickOpenVideoAdsDailymotion(index, 'vimeo');
											};
											if($this_item.attr('data-ads-media')=='picture' /*&& !getMobileOperatingSystem()*/){
												playerVimeo[index].api('pause');
												clickOpenImageAds(index, 'vimeo');
											};
											if($this_item.attr('data-ads-media')=='google-ads'){
												$('.beeteam368-video-player .beeteam368-no-click', $this).css({'display':'none'});	
												clickOpenGoogleAds(index, 'vimeo');
											};				
											lastPlayVideoAds[index]=1;
										};
									};
								});									
							});						
							playerVimeo[index].addEvent('finish', function(){
								if(repeat) {
									checkRepeat[indexPlayer]=1;
									if(totalItem==index){
										$first_item.trigger('click');
									}else{
										$this_item.next().trigger('click');
									};									
								};
							});
							if(window.innerWidth>=420 && window.innerWidth<=900){
								if(((index+1) % 2) ==0) {								
									$('.beeteam368-scroll-y', $this).mCustomScrollbar("scrollTo", [$this_item.outerHeight(true)*((index+1)/2-1), 0]);	
								}else{
									$('.beeteam368-scroll-y', $this).mCustomScrollbar("scrollTo", [$this_item.outerHeight(true)*((index+2)/2-1), 0]);
								};
							}else{
								$('.beeteam368-scroll-y', $this).mCustomScrollbar("scrollTo", [$this_item.outerHeight(true)*(index), 0]);
							};	
							$('.beeteam368-video-listing-content', $this).mCustomScrollbar("scrollTo", [0, $this_item.outerWidth(true)*(index)]);
						});	
						$('.beeteam368-video-player .beeteam368-no-click-link-ads', $this).attr('href', $this_item.attr('data-ads-link'));					
						$('.beeteam368-video-player, .beeteam368-video-list-item', $this).removeClass('player-active');		
						$this_item.addClass('player-active');
					});					
				};
				function clickOpenVideoDailymotion(){
					$this_item.on('click', function(){
						clearAllInterval(index);
						$('.beeteam368-video-player .beeteam368-skip-ads', $this).text('0').off("click");	
						setTimeout(function(){$('.beeteam368-video-player .beeteam368-skip-ads', $this).text('0').off("click");},500);					
						$('.beeteam368-video-player .beeteam368-no-click-link-ads, .beeteam368-video-player .beeteam368-skip-ads, .beeteam368-video-player .beeteam368-no-click, .beeteam368-video-player .beeteam368-image-ads', $this).css({'display':'none'});
						$('.beeteam368-video-player .beeteam368-google-ads', $this).removeClass('bee-ads-active');
						$this.find('.beeteam368-video-player').removeClass('player-active');						
						if($('[id='+nameIndexPlayer+']', $this).length > 0) {
							$('[id='+nameIndexPlayer+']', $this).remove();
							$('[id='+nameIndexPlayerAds+']', $this).remove();						
							$('.beeteam368-video-player-content', $this).prepend(	'<div id="'+nameIndexPlayer+'"></div>'+
																					'<div id="'+nameIndexPlayerAds+'"></div>');
						}else{
							$('.beeteam368-video-player-content', $this).prepend(	'<div id="'+nameIndexPlayer+'"></div>'+
																					'<div id="'+nameIndexPlayerAds+'"></div>');
						};
						playerDailymotion[index] = DM.player($('#'+nameIndexPlayer)[0], {
							video: $this_item.attr('data-source'),
							width: '100%',
							height: '100%',
							params: {
								'api': 1,
								'html':1,
							},
						});
						addWmodeIframe($('#'+nameIndexPlayer));
						playerDailymotion[index].addEventListener("apiready", function(e) {		
							firstPlayVideoAds[index]=0;
							lastPlayVideoAds[index]=0;
							$this.find('.beeteam368-video-player').addClass('player-active');					
							if((autoPlay || checkRepeat[indexPlayer]==1) && !getMobileOperatingSystem()) {								
								e.target.play();								
							};
							playerDailymotion[index].addEventListener("play", function(e) {
								setVolume(playerDailymotion[index], 'dailymotion');
							});							
							playerDailymotion[index].addEventListener("timeupdate", function(e) {
								if(ads_time_start >= 0 && ads_time_start < e.target.duration && firstPlayVideoAds[index]==0 && dataAdsCheck[index]==1) {
									if(e.target.currentTime>=ads_time_start) {
										$('.beeteam368-video-player .beeteam368-no-click', $this).css({'display':'block'});
										if($this_item.attr('data-ads-media')=='youtube' && !getMobileOperatingSystem()){
											playerDailymotion[index].pause();	
											clickOpenVideoAdsYoutube(index, 'dailymotion');
										};											
										if($this_item.attr('data-ads-media')=='vimeo' && !getMobileOperatingSystem()){
											playerDailymotion[index].pause();	
											clickOpenVideoAdsVimeo(index, 'dailymotion');
										};	
										if($this_item.attr('data-ads-media')=='dailymotion' && !getMobileOperatingSystem()){
											playerDailymotion[index].pause();	
											clickOpenVideoAdsDailymotion(index, 'dailymotion');
										};
										if($this_item.attr('data-ads-media')=='picture' /*&& !getMobileOperatingSystem()*/){
											playerDailymotion[index].pause();	
											clickOpenImageAds(index, 'dailymotion');
										};
										if($this_item.attr('data-ads-media')=='google-ads'){
											$('.beeteam368-video-player .beeteam368-no-click', $this).css({'display':'none'});	
											clickOpenGoogleAds(index, 'dailymotion');
										};												
										firstPlayVideoAds[index]=1;	
									};
								};
								if(ads_time_restart > 0 && ads_time_restart < e.target.duration && ads_time_restart > ads_time_start && lastPlayVideoAds[index]==0 && dataAdsCheck[index]==1) {
									if(e.target.currentTime>=ads_time_restart) {
										$('.beeteam368-video-player .beeteam368-no-click', $this).css({'display':'block'});
										if($this_item.attr('data-ads-media')=='youtube' && !getMobileOperatingSystem()){
											playerDailymotion[index].pause();
											clickOpenVideoAdsYoutube(index, 'dailymotion');
										};											
										if($this_item.attr('data-ads-media')=='vimeo' && !getMobileOperatingSystem()){
											playerDailymotion[index].pause();
											clickOpenVideoAdsVimeo(index, 'dailymotion');
										};
										if($this_item.attr('data-ads-media')=='dailymotion' && !getMobileOperatingSystem()){
											playerDailymotion[index].pause();
											clickOpenVideoAdsDailymotion(index, 'dailymotion');
										};
										if($this_item.attr('data-ads-media')=='picture' /*&& !getMobileOperatingSystem()*/){
											playerDailymotion[index].pause();
											clickOpenImageAds(index, 'dailymotion');
										};
										if($this_item.attr('data-ads-media')=='google-ads'){
											$('.beeteam368-video-player .beeteam368-no-click', $this).css({'display':'none'});	
											clickOpenGoogleAds(index, 'dailymotion');
										};				
										lastPlayVideoAds[index]=1;
									};
								};
							});	
							playerDailymotion[index].addEventListener("ended", function(e) {								
								if(repeat) {
									checkRepeat[indexPlayer]=1;
									if(totalItem==index){										
										$first_item.trigger('click');
									}else{
										$this_item.next().trigger('click');
									};									
								};							
							});							
							if(window.innerWidth>=420 && window.innerWidth<=900){
								if(((index+1) % 2) ==0) {								
									$('.beeteam368-scroll-y', $this).mCustomScrollbar("scrollTo", [$this_item.outerHeight(true)*((index+1)/2-1), 0]);	
								}else{
									$('.beeteam368-scroll-y', $this).mCustomScrollbar("scrollTo", [$this_item.outerHeight(true)*((index+2)/2-1), 0]);
								};
							}else{
								$('.beeteam368-scroll-y', $this).mCustomScrollbar("scrollTo", [$this_item.outerHeight(true)*(index), 0]);
							};
							$('.beeteam368-video-listing-content', $this).mCustomScrollbar("scrollTo", [0, $this_item.outerWidth(true)*(index)]);	
						});
						$('.beeteam368-video-player .beeteam368-no-click-link-ads', $this).attr('href', $this_item.attr('data-ads-link'));
						$('.beeteam368-video-player, .beeteam368-video-list-item', $this).removeClass('player-active');		
						$this_item.addClass('player-active');						
					});
				};
				switch($this_item.attr('data-media')) {
					case 'youtube':
						function createReloadVideoYoutube(){
							removeAllClass();
							$this_item.addClass('player-error');
							$('.video-error', $this_item).on('click', function(){
								$checkArrayNewLoad[index]=1;
								removeAllClass();
								checkLoadDataYoutube();
							});
						};
						function checkLoadDataYoutube() {
							removeAllClass();
							if(youtubeAPIKey!='') {
								$.ajax({
									url			: 'https://www.googleapis.com/youtube/v3/videos?id='+$this_item.attr('data-source')+'&key='+youtubeAPIKey+'&part=snippet,contentDetails',
									dataType	: 'jsonp',
									cache		: false,
									success		: function(d_json){									
										if (typeof(d_json.items)!='undefined' && d_json.pageInfo.totalResults!='0') {//err faild API KEY 
											$beeteam368TitleListing		= d_json.items[0].snippet.title;
											if($beeteam368TitleListing==null) {$beeteam368TitleListing=''};	
											if($beeteam368TitleListing.length > 68) {
												$beeteam368TitleListing=$beeteam368TitleListing.substring(0, 68)+'...';
											};	
											$beeteam368ImgListing			= d_json.items[0].snippet.thumbnails.high.url;
											$beeteam368DurationListing		= d_json.items[0].contentDetails.duration;																		
											$('.beeteam368-video-title', $this_item).text($beeteam368TitleListing);	
											$('.beeteam368-video-time', $this_item).text(converTimeYoutube($beeteam368DurationListing));									
											$('<img src="'+$beeteam368ImgListing+'">').load(function(){											
												$('.beeteam368-video-content', $this_item).css({"background-image":"url("+$beeteam368ImgListing+")"});
												removeAllClass();
												$this_item.addClass('player-success');
												clickOpenVideoYoutube();											
												if(index==0) {
													$this_item.trigger('click');											
												};
											});										
										}else{
											createReloadVideoYoutube();										
										};
									},
									error: function(){
										if($checkArrayNewLoad[index] < 5) {
											setTimeout(function(){
												checkLoadDataYoutube();
												$checkArrayNewLoad[index]=$checkArrayNewLoad[index]+1;
											}, 1500);										
										}else{
											createReloadVideoYoutube();
										};
									},				
								});	
							}else{
								$.ajax({
									url			: 'https://gdata.youtube.com/feeds/api/videos?q=('+$this_item.attr('data-source')+')&v=2&alt=jsonc',
									dataType	: 'jsonp',
									cache		: false,
									success		: function(d_json){									
										if (d_json.data.totalItems!=0) {//err url
											$beeteam368TitleListing		= d_json.data.items[0].title;
											if($beeteam368TitleListing==null) {$beeteam368TitleListing=''};	
											if($beeteam368TitleListing.length > 68) {
												$beeteam368TitleListing=$beeteam368TitleListing.substring(0, 68)+'...';
											};	
											$beeteam368ImgListing			= d_json.data.items[0].thumbnail.hqDefault;
											$beeteam368DurationListing		= d_json.data.items[0].duration;																		
											$('.beeteam368-video-title', $this_item).text($beeteam368TitleListing);	
											$('.beeteam368-video-time', $this_item).text(converSecondToTime($beeteam368DurationListing));									
											$('<img src="'+$beeteam368ImgListing+'">').load(function(){											
												$('.beeteam368-video-content', $this_item).css({"background-image":"url("+$beeteam368ImgListing+")"});
												removeAllClass();
												$this_item.addClass('player-success');
												clickOpenVideoYoutube();											
												if(index==0) {
													$this_item.trigger('click');											
												};
											});										
										}else{
											createReloadVideoYoutube();										
										};
									},
									error: function(){
										if($checkArrayNewLoad[index] < 5) {
											setTimeout(function(){
												checkLoadDataYoutube();
												$checkArrayNewLoad[index]=$checkArrayNewLoad[index]+1;
											}, 1500);										
										}else{
											createReloadVideoYoutube();
										};
									},				
								});	
							};
						};
						checkLoadDataYoutube();
						break;
					case 'vimeo':
						function createReloadVideoVimeo(){
							removeAllClass();	
							$this_item.addClass('player-error');						
							$('.video-error', $this_item).on('click', function(){
								$checkArrayNewLoad[index]=1;
								removeAllClass();
								checkLoadDataVimeo();
							});
						};					
						function checkLoadDataVimeo() {
							removeAllClass();
							$.ajax({
								url			: encodeURI('https://vimeo.com/api/oembed.json?url=https://vimeo.com/'+$this_item.attr('data-source')),//'//vimeo.com/api/v2/video/'+$this_item.attr('data-source')+'.json',
								dataType	: 'jsonp',
								cache		: false,
								success		: function(d_json){					
									$beeteam368TitleListing		= d_json.title;
									if($beeteam368TitleListing==null) {$beeteam368TitleListing=''};	
									if($beeteam368TitleListing.length > 68) {
										$beeteam368TitleListing=$beeteam368TitleListing.substring(0, 68)+'...';
									};	
									$beeteam368ImgListing			= d_json.thumbnail_url;
									$beeteam368DurationListing		= d_json.duration;																		
									$('.beeteam368-video-title', $this_item).text($beeteam368TitleListing);	
									$('.beeteam368-video-time', $this_item).text(converSecondToTime($beeteam368DurationListing));								
									$('<img src="'+$beeteam368ImgListing+'">').load(function(){
										$('.beeteam368-video-content', $this_item).css({"background-image":"url("+$beeteam368ImgListing+")"});
										removeAllClass();
										$this_item.addClass('player-success');											
										clickOpenVideoVimeo();										
										if(index==0) {
											$this_item.trigger('click');											
										};
									});
								},
								error: function(){
									if($checkArrayNewLoad[index] < 5) {
										setTimeout(function(){
											checkLoadDataVimeo();
											$checkArrayNewLoad[index]=$checkArrayNewLoad[index]+1;
										}, 1500);										
									}else{
										createReloadVideoVimeo();
									};
								},		
							});			
						};
						checkLoadDataVimeo();	
						break;
					case 'dailymotion':
						function createReloadVideoDailymotion(){
							removeAllClass();	
							$this_item.addClass('player-error');						
							$('.video-error', $this_item).on('click', function(){
								$checkArrayNewLoad[index]=1;
								removeAllClass();
								checkLoadDataDailymotion();
							});
						};	
						function checkLoadDataDailymotion() {
							DM.init();
							removeAllClass();
							$.ajax({
								url			: 'https://api.dailymotion.com/video/'+$this_item.attr('data-source')+'?fields=title,duration,thumbnail_480_url',
								dataType	: 'jsonp',
								cache		: false,
								success		: function(d_json){									
									$beeteam368TitleListing		= d_json.title;									
									if($beeteam368TitleListing==null) {$beeteam368TitleListing=''};	
									if($beeteam368TitleListing.length > 68) {
										$beeteam368TitleListing=$beeteam368TitleListing.substring(0, 68)+'...';
									};	
									$beeteam368ImgListing			= d_json.thumbnail_480_url;
									$beeteam368DurationListing		= d_json.duration;																		
									$('.beeteam368-video-title', $this_item).text($beeteam368TitleListing);	
									$('.beeteam368-video-time', $this_item).text(converSecondToTime($beeteam368DurationListing));								
									$('<img src="'+$beeteam368ImgListing+'">').load(function(){
										$('.beeteam368-video-content', $this_item).css({"background-image":"url("+$beeteam368ImgListing+")"});
										removeAllClass();
										$this_item.addClass('player-success');											
										clickOpenVideoDailymotion();										
										if(index==0) {
											$this_item.trigger('click');											
										};
									});
								},
								error: function(){
									if($checkArrayNewLoad[index] < 5) {
										setTimeout(function(){
											checkLoadDataDailymotion();
											$checkArrayNewLoad[index]=$checkArrayNewLoad[index]+1;
										}, 1500);										
									}else{
										createReloadVideoDailymotion();
									};
								},		
							});
						};
						checkLoadDataDailymotion();	
						break;	
					default:
						//nothing		
				};
			};
		});
		/*Malihu scroll & responsive*/
		var fullWidthScrollBar = $('.beeteam368-video-list-item', $this).length * ( $('.beeteam368-video-list-item', $this).outerWidth( true )) - ( $('.beeteam368-video-list-item', $this).outerWidth( true ) - $('.beeteam368-video-list-item', $this).outerWidth());
		if(!$('.beeteam368-video-wrap', $this).hasClass('list-bottom')) {
			$('.beeteam368-scroll-y', $this).mCustomScrollbar({
				theme					:'dark-2',
				mouseWheel				:true,
				axis					:'y',
				scrollInertia			:0,
			});			
			function responsiveVideo() {
				if(window.innerWidth<=900) {
					$('.beeteam368-scroll-y', $this).mCustomScrollbar("destroy");
					$('.beeteam368-scroll-y', $this).mCustomScrollbar({
						theme					:'dark-2',
						mouseWheel				:true,
						axis					:'y',
						autoHideScrollbar		:true,	
						scrollInertia			:0,	
					});
				}else{
					$('.beeteam368-scroll-y', $this).mCustomScrollbar("destroy");
					$('.beeteam368-scroll-y', $this).mCustomScrollbar({
						theme					:'dark-2',
						mouseWheel				:true,
						axis					:'y',
						autoHideScrollbar		:false,	
						scrollInertia			:0,	
					});
				};
			};
			responsiveVideo();
			$(window).resize(function(){
				responsiveVideo();
			});
		}else{
			$('.beeteam368-scroll-y', $this).width(fullWidthScrollBar);
			$('.beeteam368-video-listing-content', $this).mCustomScrollbar({
				theme					:'light-2',
				mouseWheel				:true,
				axis					:'x',
				scrollInertia			:0,
			});
		};
		/*Malihu scroll & responsive*/		
	};//Function Create Video	
	var checkRepeat = [];
	$(document).ready(function(e) {		
		$('.beeteam368-plugin-video').each(function(index, element) {
			$(this).beeTeam368VideoCreate({		
				autoPlay			: ( $(this).attr('data-auto-play')=='1' )?true:false,
				repeat				: ( $(this).attr('data-repeat')=='1' )?true:false,
				volume				: ( $(this).attr('data-volume') ),
				youtubeAPIKey		: ( $(this).attr('data-youtube-api-key') ),					
				indexPlayer			: ( index ),
				skipTextVideo		: ( $(this).attr('data-skip-text') ),
			});
		});
	});
}(jQuery));
/*--------------------------------------------------------------*/
/*BEETEAM368 JQUERY PLUGIN FOR YOUTUBE & VIMEO & DAILYMOTION API*/
/*---------------------------2015-------------------------------*/